Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007186 [DCSS] Bug Report crash have not tried 2013-06-09 05:06 2013-06-11 07:32
Reporter Grandiloquent Gentleman View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007186: Ozos 'fridging a spore whose explosion kills causes crash.
Description I was using Ozo's fridge against a group of centaurs and a spore.
I cast ozo's fridge. Some centaurs die, the spore explodes killing a centaur and then the game crashes.
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-Prince of Darkness-20130608-215823.txt [^] (47,320 bytes) 2013-06-09 05:06 [Show Content]
? file icon 0001-Fix-an-Ozocubu-s-refrigeration-crash.patch [^] (1,301 bytes) 2013-06-09 20:34 [Show Content]

- Relationships

-  Notes
(0023131)
blackcustard (reporter)
2013-06-09 20:37
edited on: 2013-06-09 20:38

This bug was exactly what it looked like. Crawl was building a list of monsters to hit and forgetting to make sure they were still alive when it got to them.

Drain life should exhibit the same failure, but it's hard to set up a test case for that. Olgreb's doesn't do damage. Nevertheless, this patch applies to both of those spells as well.

Other spells should be fine, these are the only three that use cast_los_attack_spell.

A small patch is attached.

(0023133)
neil (administrator)
2013-06-10 00:59

blackcustard's patch is applied in trunk (0.13-a0-1548-gbec542c), thanks!
(0023152)
Grandiloquent Gentleman (reporter)
2013-06-11 07:32

Thanks, although the ignite poison might also do this if you ignite a poisonous corpse underneath a spore which kills a potential target, maybe.

- Issue History
Date Modified Username Field Change
2013-06-09 05:06 Grandiloquent Gentleman New Issue
2013-06-09 05:06 Grandiloquent Gentleman File Added: crash-Prince of Darkness-20130608-215823.txt
2013-06-09 20:34 blackcustard File Added: 0001-Fix-an-Ozocubu-s-refrigeration-crash.patch
2013-06-09 20:37 blackcustard Note Added: 0023131
2013-06-09 20:37 blackcustard Note Edited: 0023131
2013-06-09 20:38 blackcustard Note Edited: 0023131
2013-06-10 00:59 neil Note Added: 0023133
2013-06-10 00:59 neil Status new => resolved
2013-06-10 00:59 neil Fixed in Branch => 0.13 development branch
2013-06-10 00:59 neil Resolution open => done
2013-06-10 00:59 neil Assigned To => neil
2013-06-11 07:32 Grandiloquent Gentleman Note Added: 0023152


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker